import type { _CXCallAction } from "./CXCallAction.js";
import type { _NSCoder } from "../Foundation/NSCoder.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSUUID } from "../Foundation/NSUUID.js";
import type { CXTranslationEngine } from "./CXTranslationEngine.js";
export declare class _CXSetTranslatingCallAction extends _CXCallAction {
    static alloc(): _CXSetTranslatingCallAction;
    static new(): _CXSetTranslatingCallAction;
    init(): _CXSetTranslatingCallAction;
    initWithCallUUID$isTranslating$localLanguage$remoteLanguage$(uuid: _NSUUID, isTranslating: boolean, localLanguage: _NSString, remoteLanguage: _NSString): _CXSetTranslatingCallAction;
    initWithCoder$(aDecoder: _NSCoder): _CXSetTranslatingCallAction | null;
    fulfillUsingTranslationEngine$(translationEngine: CXTranslationEngine): void;
    isTranslating(): boolean;
    localLanguage(): _NSString;
    remoteLanguage(): _NSString;
}
